"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b44b80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103b44cc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b44c20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103b44d60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103b44e00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103b44ea0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103b44f40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b44fe0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b45080>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103b45120>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103b451c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103b45260>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103b45300>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103b453a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103b45440>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103b454e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103b45580>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103b45620>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103b456c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103b45760>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103b45800>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103b458a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103b45940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103b459e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103b45a80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103b45b20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103b45bc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103b45c60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103b45d00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103b45da0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103b45e40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103b45ee0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103b45f80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103b46020>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103b460c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103b46160>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103b46200>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103b462a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b46340>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b463e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103b46480>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103b46520>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103b465c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103b46660>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103b46700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103b467a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103b46840>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103b468e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103b46980>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103b46a20>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103b46ac0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103b46b60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b46c00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103b46ca0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103b46d40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b46de0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b46e80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103b46f20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103b46fc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103b47060>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103b47100>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103b471a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103b47240>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103b472e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103b47380>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103b47420>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103b474c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103b47560>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103b47600>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103b476a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103b47740>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103b477e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103b47880>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103b47920>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103b479c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103b47a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103b47b00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103b47ba0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103b47c40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103b47d80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103b47ce0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103b47e20>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103b47ec0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103b47f60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103b58040>)]
name: str = 'fr_HOCCN'
